=== modified file 'bzrlib/branch.py'
--- bzrlib/branch.py	2010-09-09 00:32:58 +0000
+++ bzrlib/branch.py	2010-09-24 08:40:33 +0000
@@ -1819,7 +1819,7 @@
             "with a bzrlib.branch.PullResult object and only runs in the "
             "bzr client.", (0, 15), None))
         self.create_hook(HookPoint('pre_commit',
-            "Called after a commit is calculated but before it is is "
+            "Called after a commit is calculated but before it is "
             "completed. pre_commit is called with (local, master, old_revno, "
             "old_revid, future_revno, future_revid, tree_delta, future_tree"
             "). old_revid is NULL_REVISION for the first commit to a branch, "

=== modified file 'doc/developers/code-review.txt'
--- doc/developers/code-review.txt	2010-05-14 13:34:22 +0000
+++ doc/developers/code-review.txt	2010-09-24 08:42:02 +0000
@@ -9,7 +9,7 @@
 
 Normally changes by core contributors are reviewed by one other core
 developer, and changes from other people are reviewed by two core
-developers.  Use intelligent discretion about whether if the patch is trivial.
+developers.  Use intelligent discretion about whether the patch is trivial.
 
 No one likes their merge requests sitting in a queue going nowhere: this 
 is pure waste.  We prioritize reviewing existing proposals.  
@@ -66,9 +66,9 @@
   blackbox (command-line level) and API-oriented tests?
 
 * If this change will be visible to end users or API users, is it
-  appropriately documented in NEWS?
+  appropriately documented in NEWS and/or in whats-new ?
 
-* Does it meet the coding standards below?
+* Does it meet the `coding standards <code-style.html>`_?
 
 * If it changes the user-visible behaviour, does it update the help
   strings and user documentation?

=== modified file 'doc/developers/code-style.txt'
--- doc/developers/code-style.txt	2010-09-13 08:20:57 +0000
+++ doc/developers/code-style.txt	2010-09-24 08:42:02 +0000
@@ -78,9 +78,9 @@
 ===============
 
 Bazaar supports Python from 2.4 through 2.6, and in the future we want to
-support Python 3.0.  Avoid using language features added in 2.5 or 2.6, or
-features deprecated in Python 3.0.  (You can check v3 compatibility using
-the ``-3`` option of Python2.6.)
+support Python 2.7 and 3.0.  Avoid using language features added in 2.5,
+2.6 or 2.7, or features deprecated in Python 3.0.  (You can check v3
+compatibility using the ``-3`` option of Python2.6.)
 
 Specifically:
 

=== modified file 'doc/developers/releasing.txt'
--- doc/developers/releasing.txt	2010-09-17 08:05:11 +0000
+++ doc/developers/releasing.txt	2010-09-24 09:56:50 +0000
@@ -402,6 +402,30 @@
 **After making a bzr stable-release release, nominate the most serious bug
 for the appropriate Ubuntu release and subscribe the `ubuntu-sru` team.**
 
+This requires a couple of tricks (please reconsider and tweak as things
+evolves from one release to the other):
+
+ * create a distro task with the ``Also affects distribution`` button and
+   select ``bzr (Ubuntu)``.
+
+ * change the *URL* to point to ``ubuntu/+source/bzr`` instead of ``bzr``
+   (this is needed if you create the distro task but not if it exists
+   already). You should now be able to click the ``Nominate for release``
+   button and select the right Ubuntu release. As of September 2010, this
+   means:
+
+  * ``maverick`` for the 2.2 series,
+  * ``lucid`` for the 2.1 series,
+  * ``karmic`` for the 2.0 series.
+
+ * Subscribe the ``~ubuntu-sru`` team to the bug.
+
+ * Add a comment targeted to ``~ubuntu-sru`` explaining the expectations
+   (we are targeting running the test suite during the build which, as of
+   September 2010, fails for known reasons that are currently addressed).
+   Search for bugs tagged with ``sru`` for examples and don't forget to tag
+   the bug you selected.
+
 
 See also
 --------

